%global namedreltag -alpha-4
%global namedversion %{version}%{?namedreltag}

Name:          jra
Version:       1.0
Release:       %mkrel 0.11.alpha4.1
Summary:       Java REST Annotations
License:       ASL 2.0
Group:         Development/Java
URL:           http://jra.codehaus.org/

# svn export https://svn.codehaus.org/jra/branches/jra-1.0-alpha-4/ jra-1.0-alpha-4
# tar cafJ jra-1.0-alpha-4.tar.xz jra-1.0-alpha-4

Source0:       %{name}-%{namedversion}.tar.xz

BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin

%description
The Java REST annotations are annotations to help service creators build REST
style services. Frameworks which wish to support REST can reuse these
annotations just like the JSR181 & JAX-WS annotations are used across
implementations. However, the idea with JRA is that many different frameworks
(web, XML/SOAP, etc) may want to expose REST style services.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Documentation
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_xpath_remove pom:build/pom:extensions

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc src/main/resources/META-INF/LICENSE

%files javadoc -f .mfiles-javadoc
%doc src/main/resources/META-INF/LICENSE


%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 1.0-0.11.alpha4.1.mga6
+ Revision: 981288
- First rebuild of the java stack
- sync package jra with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.0-0.2.alpha4.7.mga5
+ Revision: 811340
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.2.alpha4.6.mga5
+ Revision: 746063
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 dmorgan <dmorgan> 1.0-0.2.alpha4.4.mga4
+ Revision: 562819
- Removed wagon extension

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-0.2.alpha4.2.mga3
+ Revision: 355564
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.0-0.2.alpha4.1.mga3
+ Revision: 331505
- imported package jra


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.2.alpha4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 28 2012 Patryk Obara <pobara@redhat.com> 1.0-0.1.alpha4
- Initial packaging

